WordPress 5.0+版本移除前端wp-block-library-css的调用

wordpress升级到5.0+版本后,前端查看源代码会发现多了一个css样式文件的引用,这是针对新版本Gutenberg编辑器的css文件,但是对于依然使用经典编辑器或者只使用Gutenberg编辑器基础编辑功能的wordpress站点,这个文件没有必要引用。

把下面代码放到当前主题的functions.php文件:

1
2
3
4
function remove_block_library_css() {
	wp_dequeue_style( 'wp-block-library' );
}
add_action( 'wp_enqueue_scripts', 'remove_block_library_css', 100 );

保存即可移除该css文件的调用。

发表留言